Package fr.gouv.vitam.common.database.builder.query

# Class TermQuery

java.lang.Object
fr.gouv.vitam.common.database.builder.query.Query
fr.gouv.vitam.common.database.builder.query.TermQuery

Direct Known Subclasses:
  `TermQuery`

public class TermQuery extends Query
Term Query

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.database.builder.query.Query

  `currentObject, currentQuery, currentTokenQUERY, DATE, exactdepth, extraInfo, isFullText, ready, relativedepth`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `TermQuery()`
  ``
  `TermQuery(String variableName, boolean value)`
  Term Query constructor
  ``
  `TermQuery(String variableName, double value)`
  Term Query constructor
  ``
  `TermQuery(String variableName, long value)`
  Term Query constructor
  ``
  `TermQuery(String variableName, String value)`
  Term Query constructor
  ``
  `TermQuery(String variableName, Date value)`
  Term Query constructor
  ``
  `TermQuery(Map<String,Object> variableNameValue)`
  Term Query constructor from Map

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final TermQuery`
  `add(String variableName, boolean value)`
  Add other Term sub queries to Term Query
  `final TermQuery`
  `add(String variableName, double value)`
  Add other Term sub queries to Term Query
  `final TermQuery`
  `add(String variableName, long value)`
  Add other Term sub queries to Term Query
  `final TermQuery`
  `add(String variableName, String value)`
  Add other Term sub queries to Term Query
  `final TermQuery`
  `add(String variableName, Date value)`
  Add other Term sub queries to Term Query

  ### Methods inherited from class fr.gouv.vitam.common.database.builder.query.Query

  `clean, cleanDepth, createQueryArray, createQueryVariable, createQueryVariableValue, createQueryVariableValue, createQueryVariableValue, createQueryVariableValue, createQueryVariableValue, createQueryVariableValue, getCurrentObject, getCurrentQuery, getExtraInfo, getNode, getParserExactdepth, getParserRelativeDepth, getQUERY, isFullText, isReady, setDepthLimit, setExactDepthLimit, setExtraInfo, setFullText, setParserExactdepth, setParserRelativeDepth, setReady, setRelativeDepthLimit, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TermQuery

    protected TermQuery()

  - ### TermQuery

    public TermQuery(String variableName, String value) throws InvalidCreateOperationException
    Term Query constructor
    Parameters:
      `variableName` - key name
      `value` - key value
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### TermQuery

    public TermQuery(String variableName, long value) throws InvalidCreateOperationException
    Term Query constructor
    Parameters:
      `variableName` - key name
      `value` - key value
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### TermQuery

    public TermQuery(String variableName, double value) throws InvalidCreateOperationException
    Term Query constructor
    Parameters:
      `variableName` - key name
      `value` - key value
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### TermQuery

    public TermQuery(String variableName, boolean value) throws InvalidCreateOperationException
    Term Query constructor
    Parameters:
      `variableName` - key name
      `value` - key value
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### TermQuery

    public TermQuery(String variableName, Date value) throws InvalidCreateOperationException
    Term Query constructor
    Parameters:
      `variableName` - key name
      `value` - key value
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### TermQuery

    public TermQuery(Map<String,Object> variableNameValue) throws InvalidCreateOperationException
    Term Query constructor from Map
    Parameters:
      `variableNameValue` - map of name and value
    Throws:
      `InvalidCreateOperationException` - when query is invalid

- ## Method Details

  - ### add

    public final TermQuery add(String variableName, String value) throws InvalidCreateOperationException
    Add other Term sub queries to Term Query
    Parameters:
      `variableName` - key name
      `value` - key value
    Returns:
      the TermQuery
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### add

    public final TermQuery add(String variableName, long value) throws InvalidCreateOperationException
    Add other Term sub queries to Term Query
    Parameters:
      `variableName` - key name
      `value` - key value
    Returns:
      the TermQuery
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### add

    public final TermQuery add(String variableName, double value) throws InvalidCreateOperationException
    Add other Term sub queries to Term Query
    Parameters:
      `variableName` - key name
      `value` - key value
    Returns:
      the TermQuery
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### add

    public final TermQuery add(String variableName, boolean value) throws InvalidCreateOperationException
    Add other Term sub queries to Term Query
    Parameters:
      `variableName` - key name
      `value` - key value
    Returns:
      the TermQuery
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### add

    public final TermQuery add(String variableName, Date value) throws InvalidCreateOperationException
    Add other Term sub queries to Term Query
    Parameters:
      `variableName` - key name
      `value` - key value
    Returns:
      the TermQuery
    Throws:
      `InvalidCreateOperationException` - when query is invalid